Magick++ 6.9.6

Public Member Functions | List of all members
Magick::Exception Class Reference

`#include <Exception.h>`

Inheritance diagram for Magick::Exception:
[legend]
Collaboration diagram for Magick::Exception:
[legend]

## Public Member Functions
| Exception (const std::string &what_)
| Exception (const std::string &what_, Exception *nested_)
| Exception (const Exception &original_)
virtual | ~Exception () throw ()
Exception & | operator= (const Exception &original_)
virtual const char * | what () const throw ()
const Exception * | nested () const throw ()
void | nested (Exception *nested_) throw ()

## Detailed Description

Definition at line 22 of file Exception.h.

## Constructor & Destructor Documentation

Magick::Exception::Exception | ( | const std::string & | what_ | ) |

Definition at line 21 of file Exception.cpp.

Magick::Exception::Exception | ( | const std::string & | what_,
|  | Exception * | nested_
| ) |  |

Definition at line 28 of file Exception.cpp.

Magick::Exception::Exception | ( | const Exception & | original_ | ) |

Definition at line 36 of file Exception.cpp.

Magick::Exception::~Exception | ( |  | ) |
throw | ( |
| ) |  |
| virtual

Definition at line 43 of file Exception.cpp.

## Member Function Documentation

const Magick::Exception * Magick::Exception::nested | ( |  | ) | const
throw | ( |
| ) |  |

Definition at line 62 of file Exception.cpp.

void Magick::Exception::nested | ( | Exception * | nested_ | ) |
throw | ( |
| ) |  |

Definition at line 67 of file Exception.cpp.

Magick::Exception & Magick::Exception::operator= | ( | const Exception & | original_ | ) |

Definition at line 49 of file Exception.cpp.

const char * Magick::Exception::what | ( |  | ) | const
throw | ( |
| ) |  |
| virtual

Definition at line 57 of file Exception.cpp.

Referenced by main().

The documentation for this class was generated from the following files:

- Exception.h
- Exception.cpp